diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index 54048e62ec..5ad6dd4138 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -64,6 +64,7 @@ if [ -n "$TEMPLATECONF" ]; then
     fi
     OECORELAYERCONF="$TEMPLATECONF/bblayers.conf.sample"
     OECORELOCALCONF="$TEMPLATECONF/local.conf.sample"
+    OECORESITECONF="$TEMPLATECONF/site.conf.sample"
     OECORENOTESCONF="$TEMPLATECONF/conf-notes.txt"
 fi
 
@@ -77,9 +78,11 @@ You had no conf/local.conf file. This configuration file has therefore been
 created for you with some default values. You may wish to edit it to, for
 example, select a different MACHINE (target hardware). See conf/local.conf
 for more information as common configuration options are commented.
-
+Also check conf/site.conf for site specific settings such as proxies and
+download cache locations.
 EOM
     cp -f "$OECORELOCALCONF" "$BUILDDIR/conf/local.conf"
+    cp -f "$OECORESITECONF" "$BUILDDIR/conf/site.conf" || true
     SHOWYPDOC=yes
 fi
 
@@ -107,6 +110,7 @@ fi
 # Prevent disturbing a new GIT clone in same console
 unset OECORELOCALCONF
 unset OECORELAYERCONF
+unset OECORESITECONF
 
 # Ending the first-time run message. Show the YP Documentation banner.
 if [ ! -z "$SHOWYPDOC" ]; then
